Bug 160386 - [Cocoa] Freeze Objective-C bindings and stop autogenerating them: Step 1 - Convert a single file
Summary: [Cocoa] Freeze Objective-C bindings and stop autogenerating them: Step 1 - Co...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Bindings (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-30 18:00 PDT by Darin Adler
Modified: 2016-08-01 10:51 PDT (History)
4 users (show)

See Also:


Attachments
Patch (42.42 KB, patch)
2016-07-30 18:10 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (42.45 KB, patch)
2016-07-31 09:41 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
Patch (42.51 KB, patch)
2016-07-31 16:23 PDT, Darin Adler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2016-07-30 18:00:52 PDT
Freeze Objective-C bindings and stop autogenerating them: Step 1 - Convert a single file
Comment 1 Darin Adler 2016-07-30 18:10:40 PDT
Created attachment 284960 [details]
Patch
Comment 2 Darin Adler 2016-07-30 18:11:11 PDT
Since this is the first file, I am interested in comments on the strategy too, not just this file. I may replicate what I did here for many other files!
Comment 3 Anders Carlsson 2016-07-31 08:52:01 PDT
I think we should move them to WebKit at the same time.
Comment 4 Darin Adler 2016-07-31 09:38:36 PDT
(In reply to comment #3)
> I think we should move them to WebKit at the same time.

I tried that at first and it was not practical because of the way everything includes everything else. Seriously it was a *lot* more work and I never got it working.
Comment 5 Darin Adler 2016-07-31 09:40:37 PDT
I think it will be easy to move all these files at once from WebCore to WebKit, but hard to move them one at a time.
Comment 6 Darin Adler 2016-07-31 09:41:16 PDT
Created attachment 284965 [details]
Patch
Comment 7 Darin Adler 2016-07-31 16:23:28 PDT
Created attachment 284972 [details]
Patch
Comment 8 Anders Carlsson 2016-08-01 07:18:50 PDT
(In reply to comment #5)
> I think it will be easy to move all these files at once from WebCore to
> WebKit, but hard to move them one at a time.

Ah, that makes sense.
Comment 9 WebKit Commit Bot 2016-08-01 10:51:08 PDT
Comment on attachment 284972 [details]
Patch

Clearing flags on attachment: 284972

Committed r203974: <http://trac.webkit.org/changeset/203974>
Comment 10 WebKit Commit Bot 2016-08-01 10:51:14 PDT
All reviewed patches have been landed.  Closing bug.